import { SNA } from './props.types'

/**
 * All base CSS properties are adapted from `known-css-properties
 * @see https://www.npmjs.com/package/known-css-properties
 *
 * Here we include all our chakra CSS property shorthands by passing
 * them together with the other known CSS properties.
 *
 * The other we also update our styled-system config to sesolve
 * these values and include them in the CSS properties it consumes.
 */
const baseProps = {
  accelerator: SNA,
  alignContent: SNA,
  alignItems: SNA,
  alignSelf: SNA,
  alignmentBaseline: SNA,
  all: SNA,
  animation: SNA,
  animationDelay: SNA,
  animationDirection: SNA,
  animationDuration: SNA,
  animationFillMode: SNA,
  animationIterationCount: SNA,
  animationName: SNA,
  animationPlayState: SNA,
  animationTimingFunction: SNA,
  appearance: SNA,
  aspectRatio: SNA,
  audioLevel: SNA,
  azimuth: SNA,
  backdropFilter: SNA,
  backfaceVisibility: SNA,
  background: SNA,
  backgroundAttachment: SNA,
  backgroundBlendMode: SNA,
  backgroundClip: SNA,
  backgroundColor: SNA,
  backgroundImage: SNA,
  backgroundOrigin: SNA,
  backgroundPosition: SNA,
  backgroundPositionX: SNA,
  backgroundPositionY: SNA,
  backgroundRepeat: SNA,
  backgroundRepeatX: SNA,
  backgroundRepeatY: SNA,
  backgroundSize: SNA,
  baselineShift: SNA,
  baselineSource: SNA,
  behavior: SNA,
  blockEllipsis: SNA,
  blockSize: SNA,
  blockStep: SNA,
  blockStepAlign: SNA,
  blockStepInsert: SNA,
  blockStepRound: SNA,
  blockStepSize: SNA,
  bookmarkLabel: SNA,
  bookmarkLevel: SNA,
  bookmarkState: SNA,
  border: SNA,
  borderBlock: SNA,
  borderBlockColor: SNA,
  borderBlockEnd: SNA,
  borderBlockEndColor: SNA,
  borderBlockEndStyle: SNA,
  borderBlockEndWidth: SNA,
  borderBlockStart: SNA,
  borderBlockStartColor: SNA,
  borderBlockStartStyle: SNA,
  borderBlockStartWidth: SNA,
  borderBlockStyle: SNA,
  borderBlockWidth: SNA,
  borderBottom: SNA,
  borderBottomColor: SNA,
  borderBottomLeftRadius: SNA,
  borderBottomRightRadius: SNA,
  borderBottomStyle: SNA,
  borderBottomWidth: SNA,
  borderBoundary: SNA,
  borderCollapse: SNA,
  borderColor: SNA,
  borderEndEndRadius: SNA,
  borderEndStartRadius: SNA,
  borderImage: SNA,
  borderImageOutset: SNA,
  borderImageRepeat: SNA,
  borderImageSlice: SNA,
  borderImageSource: SNA,
  borderImageWidth: SNA,
  borderInline: SNA,
  borderInlineColor: SNA,
  borderInlineEnd: SNA,
  borderInlineEndColor: SNA,
  borderInlineEndStyle: SNA,
  borderInlineEndWidth: SNA,
  borderInlineStart: SNA,
  borderInlineStartColor: SNA,
  borderInlineStartStyle: SNA,
  borderInlineStartWidth: SNA,
  borderInlineStyle: SNA,
  borderInlineWidth: SNA,
  borderLeft: SNA,
  borderLeftColor: SNA,
  borderLeftStyle: SNA,
  borderLeftWidth: SNA,
  borderRadius: SNA,
  borderRight: SNA,
  borderRightColor: SNA,
  borderRightStyle: SNA,
  borderRightWidth: SNA,
  borderSpacing: SNA,
  borderStartEndRadius: SNA,
  borderStartStartRadius: SNA,
  borderStyle: SNA,
  borderTop: SNA,
  borderTopColor: SNA,
  borderTopLeftRadius: SNA,
  borderTopRightRadius: SNA,
  borderTopStyle: SNA,
  borderTopWidth: SNA,
  borderWidth: SNA,
  bottom: SNA,
  boxDecorationBreak: SNA,
  boxShadow: SNA,
  boxSizing: SNA,
  boxSnap: SNA,
  breakAfter: SNA,
  breakBefore: SNA,
  breakInside: SNA,
  bufferedRendering: SNA,
  captionSide: SNA,
  caret: SNA,
  caretColor: SNA,
  caretShape: SNA,
  chains: SNA,
  clear: SNA,
  clip: SNA,
  clipPath: SNA,
  clipRule: SNA,
  color: SNA,
  colorAdjust: SNA,
  colorInterpolation: SNA,
  colorInterpolationFilters: SNA,
  colorProfile: SNA,
  colorRendering: SNA,
  colorScheme: SNA,
  columnCount: SNA,
  columnFill: SNA,
  columnGap: SNA,
  columnProgression: SNA,
  columnRule: SNA,
  columnRuleColor: SNA,
  columnRuleStyle: SNA,
  columnRuleWidth: SNA,
  columnSpan: SNA,
  columnWidth: SNA,
  columns: SNA,
  contain: SNA,
  containIntrinsicSize: SNA,
  content: SNA,
  contentVisibility: SNA,
  continue: SNA,
  counterIncrement: SNA,
  counterReset: SNA,
  counterSet: SNA,
  cue: SNA,
  cueAfter: SNA,
  cueBefore: SNA,
  cursor: SNA,
  d: SNA,
  direction: SNA,
  display: SNA,
  displayAlign: SNA,
  dominantBaseline: SNA,
  elevation: SNA,
  emptyCells: SNA,
  enableBackground: SNA,
  fill: SNA,
  fillBreak: SNA,
  fillColor: SNA,
  fillImage: SNA,
  fillOpacity: SNA,
  fillOrigin: SNA,
  fillPosition: SNA,
  fillRepeat: SNA,
  fillRule: SNA,
  fillSize: SNA,
  filter: SNA,
  flex: SNA,
  flexBasis: SNA,
  flexDirection: SNA,
  flexFlow: SNA,
  flexGrow: SNA,
  flexShrink: SNA,
  flexWrap: SNA,
  float: SNA,
  floatDefer: SNA,
  floatOffset: SNA,
  floatReference: SNA,
  floodColor: SNA,
  floodOpacity: SNA,
  flow: SNA,
  flowFrom: SNA,
  flowInto: SNA,
  font: SNA,
  fontDisplay: SNA,
  fontFamily: {
    type: SNA,
    default: 'body'
  },
  fontFeatureSettings: SNA,
  fontKerning: SNA,
  fontLanguageOverride: SNA,
  fontOpticalSizing: SNA,
  fontPalette: SNA,
  fontSize: SNA,
  fontSizeAdjust: SNA,
  fontStretch: SNA,
  fontStyle: SNA,
  fontSynthesis: SNA,
  fontSynthesisSmallCaps: SNA,
  fontSynthesisStyle: SNA,
  fontSynthesisWeight: SNA,
  fontVariant: SNA,
  fontVariantAlternates: SNA,
  fontVariantCaps: SNA,
  fontVariantEastAsian: SNA,
  fontVariantEmoji: SNA,
  fontVariantLigatures: SNA,
  fontVariantNumeric: SNA,
  fontVariantPosition: SNA,
  fontVariationSettings: SNA,
  fontWeight: SNA,
  footnoteDisplay: SNA,
  footnotePolicy: SNA,
  forcedColorAdjust: SNA,
  gap: SNA,
  glyphOrientationHorizontal: SNA,
  glyphOrientationVertical: SNA,
  grid: SNA,
  gridArea: SNA,
  gridAutoColumns: SNA,
  gridAutoFlow: SNA,
  gridAutoRows: SNA,
  gridColumn: SNA,
  gridColumnEnd: SNA,
  gridColumnGap: SNA,
  gridColumnStart: SNA,
  gridGap: SNA,
  gridRow: SNA,
  gridRowEnd: SNA,
  gridRowGap: SNA,
  gridRowStart: SNA,
  gridTemplate: SNA,
  gridTemplateAreas: SNA,
  gridTemplateColumns: SNA,
  gridTemplateRows: SNA,
  hangingPunctuation: SNA,
  height: SNA,
  hyphenateCharacter: SNA,
  hyphenateLimitChars: SNA,
  hyphenateLimitLast: SNA,
  hyphenateLimitLines: SNA,
  hyphenateLimitZone: SNA,
  hyphens: SNA,
  imageOrientation: SNA,
  imageRendering: SNA,
  imageResolution: SNA,
  imeMode: SNA,
  inherits: SNA,
  initialLetter: SNA,
  initialLetterAlign: SNA,
  initialLetterWrap: SNA,
  initialValue: SNA,
  inlineSize: SNA,
  inlineSizing: SNA,
  inputFormat: SNA,
  inset: SNA,
  insetBlock: SNA,
  insetBlockEnd: SNA,
  insetBlockStart: SNA,
  insetInline: SNA,
  insetInlineEnd: SNA,
  insetInlineStart: SNA,
  isolation: SNA,
  justifyContent: SNA,
  justifyItems: SNA,
  justifySelf: SNA,
  kerning: SNA,
  layoutFlow: SNA,
  layoutGrid: SNA,
  layoutGridChar: SNA,
  layoutGridLine: SNA,
  layoutGridMode: SNA,
  layoutGridType: SNA,
  leadingTrim: SNA,
  left: SNA,
  letterSpacing: SNA,
  lightingColor: SNA,
  lineBreak: SNA,
  lineClamp: SNA,
  lineGrid: SNA,
  lineHeight: SNA,
  lineHeightStep: SNA,
  lineIncrement: SNA,
  linePadding: SNA,
  lineSnap: SNA,
  listStyle: SNA,
  listStyleImage: SNA,
  listStylePosition: SNA,
  listStyleType: SNA,
  margin: SNA,
  marginBlock: SNA,
  marginBlockEnd: SNA,
  marginBlockStart: SNA,
  marginBottom: SNA,
  marginBreak: SNA,
  marginInline: SNA,
  marginInlineEnd: SNA,
  marginInlineStart: SNA,
  marginLeft: SNA,
  marginRight: SNA,
  marginTop: SNA,
  marginTrim: SNA,
  marker: SNA,
  markerEnd: SNA,
  markerKnockoutLeft: SNA,
  markerKnockoutRight: SNA,
  markerMid: SNA,
  markerOffset: SNA,
  markerPattern: SNA,
  markerSegment: SNA,
  markerSide: SNA,
  markerStart: SNA,
  marks: SNA,
  mask: SNA,
  maskBorder: SNA,
  maskBorderMode: SNA,
  maskBorderOutset: SNA,
  maskBorderRepeat: SNA,
  maskBorderSlice: SNA,
  maskBorderSource: SNA,
  maskBorderWidth: SNA,
  maskClip: SNA,
  maskComposite: SNA,
  maskImage: SNA,
  maskMode: SNA,
  maskOrigin: SNA,
  maskPosition: SNA,
  maskPositionX: SNA,
  maskPositionY: SNA,
  maskRepeat: SNA,
  maskSize: SNA,
  maskSourceType: SNA,
  maskType: SNA,
  maxBlockSize: SNA,
  maxHeight: SNA,
  maxInlineSize: SNA,
  maxLines: SNA,
  maxWidth: SNA,
  maxZoom: SNA,
  minBlockSize: SNA,
  minHeight: SNA,
  minInlineSize: SNA,
  minWidth: SNA,
  minZoom: SNA,
  mixBlendMode: SNA,
  motion: SNA,
  motionOffset: SNA,
  motionPath: SNA,
  motionRotation: SNA,
  navDown: SNA,
  navIndex: SNA,
  navLeft: SNA,
  navRight: SNA,
  navUp: SNA,
  objectFit: SNA,
  objectPosition: SNA,
  offset: SNA,
  offsetAnchor: SNA,
  offsetBlockEnd: SNA,
  offsetBlockStart: SNA,
  offsetDistance: SNA,
  offsetInlineEnd: SNA,
  offsetInlineStart: SNA,
  offsetPath: SNA,
  offsetPosition: SNA,
  offsetRotate: SNA,
  offsetRotation: SNA,
  opacity: SNA,
  order: SNA,
  orientation: SNA,
  orphans: SNA,
  outline: SNA,
  outlineColor: SNA,
  outlineOffset: SNA,
  outlineStyle: SNA,
  outlineWidth: SNA,
  overflow: SNA,
  overflowAnchor: SNA,
  overflowBlock: SNA,
  overflowClipMargin: SNA,
  overflowInline: SNA,
  overflowWrap: SNA,
  overflowX: SNA,
  overflowY: SNA,
  overscrollBehavior: SNA,
  overscrollBehaviorBlock: SNA,
  overscrollBehaviorInline: SNA,
  overscrollBehaviorX: SNA,
  overscrollBehaviorY: SNA,
  padding: SNA,
  paddingBlock: SNA,
  paddingBlockEnd: SNA,
  paddingBlockStart: SNA,
  paddingBottom: SNA,
  paddingInline: SNA,
  paddingInlineEnd: SNA,
  paddingInlineStart: SNA,
  paddingLeft: SNA,
  paddingRight: SNA,
  paddingTop: SNA,
  page: SNA,
  pageBreakAfter: SNA,
  pageBreakBefore: SNA,
  pageBreakInside: SNA,
  pageOrientation: SNA,
  paintOrder: SNA,
  pause: SNA,
  pauseAfter: SNA,
  pauseBefore: SNA,
  penAction: SNA,
  perspective: SNA,
  perspectiveOrigin: SNA,
  perspectiveOriginX: SNA,
  perspectiveOriginY: SNA,
  pitch: SNA,
  pitchRange: SNA,
  placeContent: SNA,
  placeItems: SNA,
  placeSelf: SNA,
  playDuring: SNA,
  pointerEvents: SNA,
  position: SNA,
  propertyName: SNA,
  quotes: SNA,
  regionFragment: SNA,
  resize: SNA,
  rest: SNA,
  restAfter: SNA,
  restBefore: SNA,
  richness: SNA,
  right: SNA,
  rotate: SNA,
  rowGap: SNA,
  rubyAlign: SNA,
  rubyMerge: SNA,
  rubyOverhang: SNA,
  rubyPosition: SNA,
  running: SNA,
  scale: SNA,
  scrollBehavior: SNA,
  scrollMargin: SNA,
  scrollMarginBlock: SNA,
  scrollMarginBlockEnd: SNA,
  scrollMarginBlockStart: SNA,
  scrollMarginBottom: SNA,
  scrollMarginInline: SNA,
  scrollMarginInlineEnd: SNA,
  scrollMarginInlineStart: SNA,
  scrollMarginLeft: SNA,
  scrollMarginRight: SNA,
  scrollMarginTop: SNA,
  scrollPadding: SNA,
  scrollPaddingBlock: SNA,
  scrollPaddingBlockEnd: SNA,
  scrollPaddingBlockStart: SNA,
  scrollPaddingBottom: SNA,
  scrollPaddingInline: SNA,
  scrollPaddingInlineEnd: SNA,
  scrollPaddingInlineStart: SNA,
  scrollPaddingLeft: SNA,
  scrollPaddingRight: SNA,
  scrollPaddingTop: SNA,
  scrollSnapAlign: SNA,
  scrollSnapCoordinate: SNA,
  scrollSnapDestination: SNA,
  scrollSnapMargin: SNA,
  scrollSnapMarginBottom: SNA,
  scrollSnapMarginLeft: SNA,
  scrollSnapMarginRight: SNA,
  scrollSnapMarginTop: SNA,
  scrollSnapPointsX: SNA,
  scrollSnapPointsY: SNA,
  scrollSnapStop: SNA,
  scrollSnapType: SNA,
  scrollSnapTypeX: SNA,
  scrollSnapTypeY: SNA,
  scrollbarArrowColor: SNA,
  scrollbarBaseColor: SNA,
  scrollbarColor: SNA,
  scrollbarDarkShadowColor: SNA,
  scrollbarDarkshadowColor: SNA,
  scrollbarFaceColor: SNA,
  scrollbarGutter: SNA,
  scrollbarHighlightColor: SNA,
  scrollbarShadowColor: SNA,
  scrollbarTrackColor: SNA,
  scrollbarWidth: SNA,
  scrollbar3DLightColor: SNA,
  scrollbar3DlightColor: SNA,
  shapeImageThreshold: SNA,
  shapeInside: SNA,
  shapeMargin: SNA,
  shapeOutside: SNA,
  shapeRendering: SNA,
  size: SNA,
  snapHeight: SNA,
  solidColor: SNA,
  solidOpacity: SNA,
  spatialNavigationAction: SNA,
  spatialNavigationContain: SNA,
  spatialNavigationFunction: SNA,
  speak: SNA,
  speakAs: SNA,
  speakHeader: SNA,
  speakNumeral: SNA,
  speakPunctuation: SNA,
  speechRate: SNA,
  stopColor: SNA,
  stopOpacity: SNA,
  stress: SNA,
  stringSet: SNA,
  stroke: SNA,
  supportedColorSchemes: SNA,
  syntax: SNA,
  tabSize: SNA,
  tableLayout: SNA,
  textAlign: SNA,
  textAlignAll: SNA,
  textAlignLast: SNA,
  textAnchor: SNA,
  textAutospace: SNA,
  textCombineUpright: SNA,
  textDecoration: SNA,
  textDecorationBlink: SNA,
  textDecorationColor: SNA,
  textDecorationLine: SNA,
  textDecorationLineThrough: SNA,
  textDecorationNone: SNA,
  textDecorationOverline: SNA,
  textDecorationSkip: SNA,
  textDecorationSkipBox: SNA,
  textDecorationSkipInk: SNA,
  textDecorationSkipInset: SNA,
  textDecorationSkipSelf: SNA,
  textDecorationSkipSpaces: SNA,
  textDecorationStyle: SNA,
  textDecorationThickness: SNA,
  textDecorationUnderline: SNA,
  textEdge: SNA,
  textEmphasis: SNA,
  textEmphasisColor: SNA,
  textEmphasisPosition: SNA,
  textEmphasisSkip: SNA,
  textEmphasisStyle: SNA,
  textGroupAlign: SNA,
  textIndent: SNA,
  textJustify: SNA,
  textJustifyTrim: SNA,
  textKashida: SNA,
  textKashidaSpace: SNA,
  textLineThrough: SNA,
  textLineThroughColor: SNA,
  textLineThroughMode: SNA,
  textLineThroughStyle: SNA,
  textLineThroughWidth: SNA,
  textOrientation: SNA,
  textOverflow: SNA,
  textOverline: SNA,
  textOverlineColor: SNA,
  textOverlineMode: SNA,
  textOverlineStyle: SNA,
  textOverlineWidth: SNA,
  textRendering: SNA,
  textShadow: SNA,
  textSizeAdjust: SNA,
  textSpaceCollapse: SNA,
  textSpaceTrim: SNA,
  textSpacing: SNA,
  textTransform: SNA,
  textUnderline: SNA,
  textUnderlineColor: SNA,
  textUnderlineMode: SNA,
  textUnderlineOffset: SNA,
  textUnderlinePosition: SNA,
  textUnderlineStyle: SNA,
  textUnderlineWidth: SNA,
  textWrap: SNA,
  top: SNA,
  touchAction: SNA,
  touchActionDelay: SNA,
  transform: SNA,
  transformBox: SNA,
  transformOrigin: SNA,
  transformOriginX: SNA,
  transformOriginY: SNA,
  transformOriginZ: SNA,
  transformStyle: SNA,
  transition: SNA,
  transitionDelay: SNA,
  transitionDuration: SNA,
  transitionProperty: SNA,
  transitionTimingFunction: SNA,
  translate: SNA,
  ucAltSkin: SNA,
  ucSkin: SNA,
  unicodeBidi: SNA,
  unicodeRange: SNA,
  userSelect: SNA,
  userZoom: SNA,
  vectorEffect: SNA,
  verticalAlign: SNA,
  viewportFill: SNA,
  viewportFillOpacity: SNA,
  viewportFit: SNA,
  visibility: SNA,
  voiceBalance: SNA,
  voiceDuration: SNA,
  voiceFamily: SNA,
  voicePitch: SNA,
  voiceRange: SNA,
  voiceRate: SNA,
  voiceStress: SNA,
  voiceVolume: SNA,
  volume: SNA,
  whiteSpace: SNA,
  widows: SNA,
  width: SNA,
  willChange: SNA,
  wordBoundaryDetection: SNA,
  wordBoundaryExpansion: SNA,
  wordBreak: SNA,
  wordSpacing: SNA,
  wordWrap: SNA,
  wrapAfter: SNA,
  wrapBefore: SNA,
  wrapFlow: SNA,
  wrapInside: SNA,
  wrapThrough: SNA,
  writingMode: SNA,
  x: SNA,
  y: SNA,
  zIndex: SNA,
  zoom: SNA,
  bg: SNA,
  w: SNA,
  minW: SNA,
  maxW: SNA,
  h: SNA,
  minH: SNA,
  maxH: SNA,
  truncate: SNA,
  pt: SNA,
  pr: SNA,
  pb: SNA,
  pl: SNA,
  px: SNA,
  py: SNA,
  p: SNA,
  mt: SNA,
  mr: SNA,
  ml: SNA,
  mb: SNA,
  mx: SNA,
  my: SNA,
  m: SNA,
  rounded: SNA,
  roundedTop: SNA,
  roundedBottom: SNA,
  roundedLeft: SNA,
  roundedRight: SNA,
  roundedTopRight: SNA,
  roundedTopLeft: SNA,
  roundedBottomRight: SNA,
  roundedBottomLeft: SNA,
  b: SNA,
  br: SNA,
  bb: SNA,
  bl: SNA,
  bt: SNA,
  shadow: SNA,
  pos: SNA,
  flexDir: SNA,
  bgImg: SNA,
  bgImage: SNA,
  bgSize: SNA,
  bgPos: SNA,
  bgRepeat: SNA
}

export default baseProps
